// DarkPlasma_GoodByeTouchUI 1.1.2
// Copyright (c) 2020 DarkPlasma

/**
 * 2021/05/03 1.1.2 まっさらな状態から起動するとタッチUIが表示される不具合を修正
 * 2021/03/26 1.1.1 アイテム、ステータス画面のウィンドウサイズが狭まる不具合修正
 * 2021/03/20 1.1.0 UIボタン用の領域を非表示にする
 * 2020/12/31 1.0.0 初版
 */

/*:ja
 * @plugindesc コンフィグからタッチUI項目を削除する
 * @author DarkPlasma
 * @license No License
 *
 * @target MZ
 *
 * @help
 * version: 1.1.2
 * コンフィグからタッチUI項目を削除する。
 */

(() => {
  'use strict';

  ConfigManager.touchUI = false;

  Scene_Base.prototype.buttonAreaBottom = function () {
    return 0;
  };

  Scene_MenuBase.prototype.buttonAreaHeight = function () {
    return 0;
  };

  const _Scene_Options_maxCommands = Scene_Options.prototype.maxCommands;
  Scene_Options.prototype.maxCommands = function () {
    return _Scene_Options_maxCommands.call(this) - 1;
  };

  const _Window_Options_addGeneralOptions = Window_Options.prototype.addGeneralOptions;
  Window_Options.prototype.addGeneralOptions = function () {
    _Window_Options_addGeneralOptions.call(this);
    const index = this._list.findIndex((command) => command.name === TextManager.touchUI);
    this._list.splice(index, 1);
  };
})();
